Status: Closed Priority: Could have
Author: Christoph Blömer Category:
Created: 2008-06-21 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject:  Some test fail on Windows
Description

I think these tests only fail on windows.

F3_FLOW3_Package_ManagerTest:
Failure in getPackageClassesPathReturnsClassesPathOfTestPackage Detail
D:\xampp\htdocs\demo\Packages\PHPUnit\Resources\PHP\PHPUnit\Framework\Assert.php:1524
getPackageClassesPath() did not return the correct path for package "TestPackage". Failed asserting that
<string:D:/xampp/htdocs/demo/Packages\TestPackage/Classes/> is equal to
<string:D:/xampp/htdocs/demo/Packages/TestPackage/Classes/>. getPackageClassesPath() did not return the correct path for
package "TestPackage".

F3_FLOW3_Cache_Backend_FileTest:
Failure in getCacheDirectoryReturnsThePreviouslySetDirectory Detail
D:\xampp\htdocs\demo\Packages\PHPUnit\Resources\PHP\PHPUnit\Framework\Assert.php:1524
getDirectory() did not return the expected value. Failed asserting that <string:C:\Windows\temp\/> is equal to
<string:C:\Windows\temp\>. getDirectory() did not return the expected value.

History
#1 - 2008-09-02 12:38 - Robert Lemke
- Status changed from New to Needs Feedback

Do they still fail with the most recent version?

#2 - 2008-09-08 21:38 - Tim Eilers

On my Windows they don't. Everything green for FLOW3.

#3 - 2009-01-19 12:25 - Malte Jansen

All 812 test are fine (r1755).

#4 - 2009-01-27 18:04 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- % Done changed from 0 to 100
Closing as fixed...
